/* LOADING ANIM */
.lds-roller{display: inline-block; position: relative; width: 64px; height: 64px;}.lds-roller div{animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite; transform-origin: 32px 32px;}.lds-roller div:after{content: " "; display: block; position: absolute; width: 6px; height: 6px; border-radius: 50%; background: #000; margin: -3px 0 0 -3px;}.lds-roller div:nth-child(1){animation-delay: -0.036s;}.lds-roller div:nth-child(1):after{top: 50px; left: 50px;}.lds-roller div:nth-child(2){animation-delay: -0.072s;}.lds-roller div:nth-child(2):after{top: 54px; left: 45px;}.lds-roller div:nth-child(3){animation-delay: -0.108s;}.lds-roller div:nth-child(3):after{top: 57px; left: 39px;}.lds-roller div:nth-child(4){animation-delay: -0.144s;}.lds-roller div:nth-child(4):after{top: 58px; left: 32px;}.lds-roller div:nth-child(5){animation-delay: -0.18s;}.lds-roller div:nth-child(5):after{top: 57px; left: 25px;}.lds-roller div:nth-child(6){animation-delay: -0.216s;}.lds-roller div:nth-child(6):after{top: 54px; left: 19px;}.lds-roller div:nth-child(7){animation-delay: -0.252s;}.lds-roller div:nth-child(7):after{top: 50px; left: 14px;}.lds-roller div:nth-child(8){animation-delay: -0.288s;}.lds-roller div:nth-child(8):after{top: 45px; left: 10px;}@keyframes lds-roller{0%{transform: rotate(0deg);}100%{transform: rotate(360deg);}}



#aag-lp {
    position: relative;
}


.aag-coupons,
.aag-coupon,
.aag-coupon-box,
.aag-coupon-footer,
[class*="aag-coupon-col"],
.aag-coupon-cta,
.aag-coupon-btns,
.aag-coupon-modal
{
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
}

[class*="aag-coupon-col"] {
    flex-grow: 1;
    flex-basis: 50%;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
}

[class*="aag-coupon-col"]:not(:first-child) {
    margin-left: 10px;
}

.aag-coupons {
    flex-wrap: wrap;
    -webkit-justify-content: center;
    justify-content: center;
    max-width:1200px;
    margin: 0 auto;
}

.aag-coupon-box {
    flex-direction: column;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    flex-basis: 100%;
    max-width: 420px;
}

.aag-coupon-box:not(:first-child) {
    margin-top:20px;
}

#aag-coupon-clone {
    position: absolute;
    width: 100%;
    max-width: 380px;
    z-index: 1;
    top: 0;
    left: 0;
}

.aag-coupon {
    flex-direction: column;
    padding: 20px;
    background: #fff;
    border: 2px dashed #000;
    width: 100%;
    text-align: center;
    color:#000;
    flex-grow: 1;
}

.aag-coupon-title {
    font-size: 26px;
    line-height: 120%;
    flex-grow: 0;
}

.aag-coupon-value {
    font-size: 32px;
    line-height: 120%;
    margin-top: 10px;
    font-weight: bold;
    color:#176db7;
    flex-grow: 0;
}

.aag-coupon-value small {
    display: block;
    line-height: 100%;
    color:#777;
    font-size: 18px;
    font-weight: normal;
}

.aag-coupon-info {
    font-size: 18px;
    flex-grow: 1;
    margin-top: 10px;
}

.aag-coupon-panel {
    padding: 5px;
    background: #ebeef6;
    border: solid 1px #dadde5;
    font-size: 16px;
}

.aag-coupon-panel:not(:first-child) {
    margin-top:10px;
}

.aag-coupon-list {
    list-style: none;
    padding: 0;
    margin: 0 auto;
}

.aag-coupon-list > li:before {
    content: "";
    display: inline-block;
    vertical-align: baseline;
    width:5px;
    height:.75em;
    margin-right: 7px;
    background: #69c495;
}

.aag-coupon-list:not(:first-child) {
    margin-top: 5px;
}



.aag-coupon-spend-save {
    margin: 0 auto;
    min-width: 200px;
    font-size: 17px;
    line-height: 100%;
    font-weight: normal;
    text-align: center;
    color:#000;
}

.aag-coupon-spend-save td {
    padding:5px 10px;
    background: #e9ecf3;
    width: 50%;
}

.aag-coupon-spend-save tr:nth-child(even) td {
    background: #dadee7;
}

.aag-coupon-disc {
    margin-top:20px;
    padding-top:15px;
    border-top:1px solid #ccc;
    font-size: 11px;
    color:#777;
    flex-grow: 0;
    line-height: normal;
}

.aag-coupon-footer {
    padding: 10px;
    background: #000;
    color:#fff;
    text-align: center;
    margin-top: 25px;

}

.aag-coupon-col-logo {
    font-size: 17px;
    line-height: 100%;
}

.aag-coupon-col-logo small {
    display: block;
    color:inherit;
    font-size: 65%;
    line-height: 100%;
    margin-top: 3px;
}

.aag-coupon-col-contact {
    font-size: 12px;
    line-height: normal;
}

.aag-coupon-btns {
    margin-top: 15px;
    -webkit-justify-content: center;
    justify-content: center;
    flex-direction: column;
    -webkit-align-items: center;
    align-items: center;
}

.aag-coupon-btns > *:not(:first-child) {
    margin-top: 10px;
}

.aag-coupon-cta {
    font-size: 17px;
    padding: 5px 20px;
    background: #176db7;
    color: #fff;
    text-align: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-align-items: center;
    align-items: center;
    height: 46px;
    width: 100%;
    max-width: 200px;
}



.aag-coupon-modal {
    display: none;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 99999999;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-align-items: center;
    align-items: center;
    padding: 10px;
    flex-direction: column;
    overflow: auto;
}

.aag-modal-overlay-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 20px;
    height: 20px;
    z-index: 99;
}

.aag-modal-overlay-btn:before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><title>Asset 1</title><g id="9b94219d-8e9a-4d17-bd9d-420187c14fe9" data-name="Layer 2"><g id="2109d095-5f66-485b-81b3-34aa65d92ae2" data-name="Layer 1"><line x1="1" y1="1" x2="31" y2="31" style="fill:none;stroke:black;stroke-linecap:round;stroke-linejoin:round;stroke-width:2px"/><line x1="1" y1="31" x2="31" y2="1" style="fill:none;stroke:black;stroke-linecap:round;stroke-linejoin:round;stroke-width:2px"/></g></g></svg>')  no-repeat center;
    background-size: contain;

}

.aag-coupon-modal-overlay {
    background: #fff;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
}

.aag-coupon-modal-container {
    display:none;
    position: relative;
    z-index: 2;
    margin: 0 auto;
    font-size: 23px;
    font-family: Helvetica, Arial, sans-serif;
    line-height: 100%;
    text-align: center;
    width: 600px;
    max-width: 90%;
}


.aag-coupon-modal-img > img {
    display: block;
    width: 300px;
    max-width: 100%;
    margin: 0 auto;
}

.aag-coupon-modal-info {
    display: none;
    margin-top: 30px;
    font-size: 17px;
}

.aag-coupon-modal-link {
    cursor: pointer;
    padding: 10px;
    line-height: 100%;
    font-size: 14px;
}


.aag-coupon-actions {
    display: none;
}

.aag-coupon-modal-link:hover {
    text-decoration: underline;
}

.aag-coupon-modal .aag-coupon-btns {
    margin-top:30px;
}




@media only screen and (min-width : 768px) {

    .aag-coupon-box {
        max-width: calc( (100% - (30px * 1)) / 2);
    }

    .aag-coupon-box:not(:first-child) {
        margin-top:0;
    }

    .aag-coupon-box:nth-child(even) {
        margin-left:30px;
    }

    .aag-coupon-box:nth-child(n+3) {
        margin-top:30px;
    }
    .aag-coupon-btns {
        flex-direction: row;
    }
    .aag-coupon-btns > *:not(:first-child) {
        margin-top: 0;
        margin-left: 10px;
    }
}

@media only screen and (min-width : 992px) {
    .aag-coupon-box {
        max-width: calc( (100% - (30px * 2)) / 3);
    }

    .aag-coupon-box:nth-child(even) {
        margin-left:0;
    }

    .aag-coupon-box:nth-child(n+3) {
        margin-top:0;
    }

    .aag-coupon-box:not(:first-child) {
        margin-top:0;
    }

    .aag-coupon-box:not(:nth-child(3n+1)) {
        margin-left:30px;
    }

    .aag-coupon-box:nth-child(n+4) {
        margin-top:30px;
    }

    .aag-coupon-actions {
        display: flex;
    }
}
